package md

type CanalO2oPayToMerchant struct {
	Id                 string `json:"id" xorm:"pk autoincr BIGINT(20)"`
	PayId              string `json:"pay_id" xorm:"not null comment('付款id') BIGINT(20)"`
	Uid                string `json:"uid" xorm:"not null comment('用户id') INT(11)"`
	MerchantId         string `json:"merchant_id" xorm:"comment('商户id') INT(11)"`
	BelongStoreId      string `json:"belong_store_id" xorm:"comment('归属店铺id') INT(11)"`
	PayAmount          string `json:"pay_amount" xorm:"comment('付款金额') DECIMAL(12,4)"`
	ActualPayAmount    string `json:"actual_pay_amount" xorm:"comment('实际付款金额') DECIMAL(12,4)"`
	CoinId             string `json:"coin_id" xorm:"comment('虚拟币id') INT(11)"`
	TradeNo            string `json:"trade_no" xorm:"comment('支付平台的订单号') VARCHAR(50)"`
	PayTradeNo         string `json:"pay_trade_no" xorm:"comment('支付联盟支付的订单号') VARCHAR(50)"`
	MainCommission     string `json:"main_commission" xorm:"comment('总佣金') DECIMAL(12,4)"`
	EstimateCommission string `json:"estimate_commission" xorm:"comment('预计佣金（三方分账完之后站长的佣金）') DECIMAL(12,4)"`
	PlatformCommission string `json:"platform_commission" xorm:"comment('平台所得的佣金') DECIMAL(12,4)"`
	PayChannel         string `json:"pay_channel" xorm:"comment('支付方式：1balance 2alipay 3wx_pay 4zhios_pay_alipay') TINYINT(2)"`
	State              string `json:"state" xorm:"not null default 0 comment('支付状态：0：未支付，1：已支付') TINYINT(2)"`
	PayTime            string `json:"pay_time" xorm:"comment('支付时间') DATETIME"`
	Data               string `json:"data" xorm:"comment('回调数据') VARCHAR(5000)"`
	Remarks            string `json:"remarks" xorm:"comment('备注') VARCHAR(255)"`
	CreateTime         string `json:"create_time" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateTime         string `json:"update_time" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
	SettleTime         string `json:"settle_time" xorm:"not null default 'CURRENT_TIMESTAMP' comment('结算时间') DATETIME"`
	CommissionTime     string `json:"commission_time" xorm:"not null default 'CURRENT_TIMESTAMP' comment('时间') DATETIME"`
}

type CanalO2oPayToMerchantMessage[T any] struct {
	Data     []T         `json:"data"`
	Database string      `json:"database"`
	ES       interface{} `json:"es"`
	ID       interface{} `json:"id"`
	IsDdl    bool        `json:"isDdl"`
	Old      []T         `json:"old"`
	PkNames  []string    `json:"pkNames"`
	Table    string      `json:"table"`
	TS       interface{} `json:"ts"`
	Type     string      `json:"type"`
}
